Bug 1702077 - Newly created expressions with human readable sizes ( like 2.megabytes ) are failing
Summary: Newly created expressions with human readable sizes ( like 2.megabytes ) are ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.10.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.4
Assignee: Yuri Rudman
QA Contact: Angelina Nikiforova
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1696412
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-22 21:56 UTC by Satoe Imaishi
Modified: 2019-12-10 14:31 UTC (History)
4 users (show)

Fixed In Version: 5.10.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1696412
Environment:
Last Closed: 2019-05-21 05:46:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1247 None None None 2019-05-21 05:47:04 UTC

Comment 2 CFME Bot 2019-04-24 19:47:12 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/0046a864ffaa0284acd7c73fe338933ea1a1fd8e
commit 0046a864ffaa0284acd7c73fe338933ea1a1fd8e
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Thu Apr 18 13:52:14 2019 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Thu Apr 18 13:52:14 2019 -0400

    Merge pull request #18649 from yrudman/convert-human-sizes-to-bytes-in-expression

    Fix: convert string representation of sizes to numbers when generating SQL for expression
    (cherry picked from commit db748333c85f0ed4c3100652976f92a5ef458f23)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1702077

 lib/miq_expression.rb | 28 +-
 spec/lib/miq_expression_spec.rb | 21 +-
 2 files changed, 46 insertions(+), 3 deletions(-)

Comment 3 Angelina Nikiforova 2019-04-30 14:53:04 UTC
Fixed and verified in 5.10.4.0.20190424160602_acb6009

Comment 5 errata-xmlrpc 2019-05-21 05:46:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1247


Note You need to log in before you can comment on or make changes to this bug.